Freeciv-3.2: pf_parameter Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
pf_parameter Struct Reference

`#include <path_finding.h>`

## Data Fields

const struct civ_map * | map
struct tile * | start_tile
int | moves_left_initially
int | fuel_left_initially
const struct unit_type * | transported_by_initially
int | cargo_depth
bv_unit_types | cargo_types
int | move_rate
int | fuel
const struct unit_type * | utype
const struct player * | owner
bool | omniscience
unsigned(* | get_MC )(const struct tile *from_tile, enum pf_move_scope src_move_scope, const struct tile *to_tile, enum pf_move_scope dst_move_scope, const struct pf_parameter *param)
enum pf_move_scope(* | get_move_scope )(const struct tile *ptile, bool *can_disembark, enum pf_move_scope previous_scope, const struct pf_parameter *param)
bool | ignore_none_scopes
enum tile_behavior(* | get_TB )(const struct tile *ptile, enum known_type known, const struct pf_parameter *param)
unsigned(* | get_EC )(const struct tile *ptile, enum known_type known, const struct pf_parameter *param)
enum pf_action(* | get_action )(const struct tile *ptile, enum known_type known, const struct pf_parameter *param)
enum pf_action_account | actions
bool(* | is_action_possible )(const struct tile *from_tile, enum pf_move_scope src_move_scope, const struct tile *to_tile, enum pf_action action, const struct pf_parameter *param)
bool(* | get_zoc )(const struct player *pplayer, const struct tile *ptile, const struct civ_map *zmap)
bool(* | is_pos_dangerous )(const struct tile *ptile, enum known_type, const struct pf_parameter *param)
int(* | get_moves_left_req )(const struct tile *ptile, enum known_type, const struct pf_parameter *param)
int(* | get_costs )(const struct tile *from_tile, enum direction8 dir, const struct tile *to_tile, int from_cost, int from_extra, unsigned *to_cost, unsigned *to_extra, const struct pf_parameter *param)
void * | data

## Detailed Description

Definition at line 357 of file path_finding.h.

## Field Documentation

## ◆ actions

enum pf_action_account pf_parameter::actions

Definition at line 413 of file path_finding.h.

Referenced by pf_get_action(), pft_enable_default_actions(), pft_fill_attack_param(), and pft_fill_default_parameter().

## ◆ cargo_depth

int pf_parameter::cargo_depth

Definition at line 366 of file path_finding.h.

Referenced by pf_transport_check(), pft_fill_amphibious_parameter(), pft_fill_unit_default_parameter(), and pft_fill_utype_default_parameter().

## ◆ cargo_types

bv_unit_types pf_parameter::cargo_types

Definition at line 368 of file path_finding.h.

Referenced by pf_transport_check(), pft_fill_amphibious_parameter(), pft_fill_unit_default_parameter(), and pft_fill_utype_default_parameter().

## ◆ data

void* pf_parameter::data

Definition at line 472 of file path_finding.h.

Referenced by adv_avoid_risks(), amphibious_behaviour(), amphibious_extra_cost(), amphibious_is_pos_dangerous(), amphibious_move(), amphibious_move_scope(), get_connect_irrig(), get_connect_road(), goto_fill_parameter_full(), pf_reverse_get_action(), pft_fill_amphibious_parameter(), pft_fill_reverse_parameter(), and prefer_short_stacks().

## ◆ fuel

int pf_parameter::fuel

Definition at line 371 of file path_finding.h.

Referenced by get_fuel_moves_left_req(), pf_danger_map_construct_path(), pf_danger_map_fill_position(), pf_fuel_map_construct_path(), pf_move_rate(), pf_normal_map_fill_position(), pf_turns(), pft_fill_reverse_parameter(), pft_fill_unit_default_parameter(), and pft_fill_utype_default_parameter().

## ◆ fuel_left_initially

int pf_parameter::fuel_left_initially

Definition at line 362 of file path_finding.h.

Referenced by fill_parameter_part(), get_fuel_moves_left_req(), pf_danger_map_construct_path(), pf_danger_map_fill_position(), pf_fuel_finalize_position_base(), pf_map_path(), pf_moves_left_initially(), pf_normal_map_fill_position(), pf_position_fill_start_tile(), pf_turns(), pft_fill_reverse_parameter(), pft_fill_unit_default_parameter(), and pft_fill_utype_default_parameter().

## ◆ get_action

enum pf_action(* pf_parameter::get_action) (const struct tile *ptile, enum known_type known, const struct pf_parameter *param)

Definition at line 405 of file path_finding.h.

Referenced by pf_danger_node_init(), pf_fuel_node_init(), pf_normal_node_init(), pft_enable_default_actions(), pft_fill_amphibious_parameter(), pft_fill_default_parameter(), and pft_fill_reverse_parameter().

## ◆ get_costs

int(* pf_parameter::get_costs) (const struct tile *from_tile, enum direction8 dir, const struct tile *to_tile, int from_cost, int from_extra, unsigned *to_cost, unsigned *to_extra, const struct pf_parameter *param)

Definition at line 463 of file path_finding.h.

Referenced by goto_fill_parameter_full(), pf_jumbo_map_iterate(), pf_map_new(), pf_normal_map_new(), and pft_fill_default_parameter().

## ◆ get_EC

unsigned(* pf_parameter::get_EC) (const struct tile *ptile, enum known_type known, const struct pf_parameter *param)

Definition at line 405 of file path_finding.h.

Referenced by adv_avoid_risks(), goto_fill_parameter_base(), pf_danger_map_iterate(), pf_danger_node_init(), pf_fuel_map_iterate(), pf_fuel_node_init(), pf_normal_map_iterate(), pf_normal_node_init(), pft_fill_amphibious_parameter(), and pft_fill_default_parameter().

## ◆ get_MC

unsigned(* pf_parameter::get_MC) (const struct tile *from_tile, enum pf_move_scope src_move_scope, const struct tile *to_tile, enum pf_move_scope dst_move_scope, const struct pf_parameter *param)

Definition at line 382 of file path_finding.h.

Referenced by get_connect_irrig(), get_connect_road(), goto_fill_parameter_base(), pf_danger_map_iterate(), pf_danger_map_new(), pf_fuel_map_iterate(), pf_fuel_map_new(), pf_normal_map_iterate(), pf_normal_map_new(), pft_fill_amphibious_parameter(), pft_fill_attack_param(), pft_fill_overlap_param(), pft_fill_parameter(), and pft_fill_reverse_parameter().

## ◆ get_move_scope

enum pf_move_scope(* pf_parameter::get_move_scope) (const struct tile *ptile, bool *can_disembark, enum pf_move_scope previous_scope, const struct pf_parameter *param)

Definition at line 382 of file path_finding.h.

Referenced by pf_danger_map_new(), pf_danger_node_init(), pf_fuel_map_new(), pf_fuel_node_init(), pf_normal_map_new(), pf_normal_node_init(), pft_fill_amphibious_parameter(), pft_fill_default_parameter(), and pft_fill_reverse_parameter().

## ◆ get_moves_left_req

int(* pf_parameter::get_moves_left_req) (const struct tile *ptile, enum known_type, const struct pf_parameter *param)

Definition at line 441 of file path_finding.h.

Referenced by dai_fill_unit_param(), goto_fill_parameter_full(), pf_fuel_map_new(), pf_fuel_node_init(), pf_map_new(), pft_fill_amphibious_parameter(), pft_fill_attack_param(), pft_fill_default_parameter(), pft_fill_overlap_param(), pft_fill_parameter(), send_attack_tile(), and tile_before_end_path().

## ◆ get_TB

enum tile_behavior(* pf_parameter::get_TB) (const struct tile *ptile, enum known_type known, const struct pf_parameter *param)

Definition at line 393 of file path_finding.h.

Referenced by auto_settler_setup_work(), dai_fill_unit_param(), dai_manage_diplomat(), explorer_goto(), find_best_city_placement(), goto_fill_parameter_base(), manage_auto_explorer(), pf_danger_node_init(), pf_fuel_node_init(), pf_normal_node_init(), pft_fill_amphibious_parameter(), pft_fill_default_parameter(), settler_evaluate_city_requests(), and settler_evaluate_improvements().

## ◆ get_zoc

bool(* pf_parameter::get_zoc) (const struct player *pplayer, const struct tile *ptile, const struct civ_map *zmap)

Definition at line 430 of file path_finding.h.

Referenced by dai_fill_unit_param(), dai_manage_diplomat(), pf_danger_node_init(), pf_fuel_node_init(), pf_normal_node_init(), pft_fill_attack_param(), pft_fill_default_parameter(), pft_fill_overlap_param(), and pft_fill_parameter().

## ◆ ignore_none_scopes

bool pf_parameter::ignore_none_scopes

Definition at line 393 of file path_finding.h.

Referenced by pf_danger_node_init(), pf_fuel_node_init(), pf_normal_node_init(), pft_fill_attack_param(), pft_fill_overlap_param(), pft_fill_parameter(), and pft_fill_reverse_parameter().

## ◆ is_action_possible

bool(* pf_parameter::is_action_possible) (const struct tile *from_tile, enum pf_move_scope src_move_scope, const struct tile *to_tile, enum pf_action action, const struct pf_parameter *param)

Definition at line 417 of file path_finding.h.

Referenced by pf_danger_map_iterate(), pf_fuel_map_iterate(), pf_normal_map_iterate(), pft_enable_default_actions(), pft_fill_amphibious_parameter(), and pft_fill_default_parameter().

## ◆ is_pos_dangerous

bool(* pf_parameter::is_pos_dangerous) (const struct tile *ptile, enum known_type, const struct pf_parameter *param)

Definition at line 436 of file path_finding.h.

Referenced by goto_fill_parameter_full(), pf_danger_map_new(), pf_danger_node_init(), pf_map_new(), pft_fill_amphibious_parameter(), pft_fill_attack_param(), pft_fill_default_parameter(), send_attack_tile(), and tile_before_end_path().

## ◆ map

const struct civ_map* pf_parameter::map

Definition at line 358 of file path_finding.h.

Referenced by get_closest_safe_tile_distance(), is_possible_base_fuel(), normal_move(), overlap_move(), pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_iterate(), pf_danger_node_init(), pf_fuel_map_construct_path(), pf_fuel_map_create_segment(), pf_fuel_map_iterate(), pf_fuel_node_init(), pf_get_move_scope(), pf_jumbo_map_iterate(), pf_move_possible(), pf_normal_map_construct_path(), pf_normal_map_iterate(), pf_normal_node_init(), pf_reverse_map_new(), pft_fill_default_parameter(), pft_fill_reverse_parameter(), and stack_risk().

## ◆ move_rate

int pf_parameter::move_rate

Definition at line 370 of file path_finding.h.

Referenced by adv_avoid_risks(), dai_log_path(), get_connect_irrig(), get_connect_road(), get_fuel_moves_left_req(), goto_fill_parameter_full(), overlap_move(), pf_danger_map_construct_path(), pf_danger_map_iterate(), pf_finalize_position(), pf_fuel_finalize_position_base(), pf_fuel_map_adjust_cost(), pf_fuel_map_attack_is_possible(), pf_fuel_map_construct_path(), pf_fuel_map_fill_cost_for_full_moves(), pf_fuel_map_iterate(), pf_move_rate(), pf_moves_left(), pf_moves_left_initially(), pf_normal_map_iterate(), pf_pos_hash_val(), pf_reverse_map_pos(), pf_reverse_map_unit_pos(), pf_reverse_map_utype_pos(), pf_turns(), pft_fill_amphibious_parameter(), pft_fill_unit_default_parameter(), pft_fill_utype_default_parameter(), send_attack_tile(), settler_map_iterate(), and tile_before_end_path().

## ◆ moves_left_initially

int pf_parameter::moves_left_initially

Definition at line 361 of file path_finding.h.

Referenced by fill_parameter_part(), get_fuel_moves_left_req(), goto_fill_parameter_full(), pf_danger_map_construct_path(), pf_fuel_finalize_position_base(), pf_fuel_map_construct_path(), pf_fuel_map_iterate(), pf_map_path(), pf_moves_left_initially(), pf_position_fill_start_tile(), pf_reverse_map_unit_pos(), pf_reverse_map_utype_pos(), pft_fill_amphibious_parameter(), pft_fill_unit_default_parameter(), and pft_fill_utype_default_parameter().

## ◆ omniscience

bool pf_parameter::omniscience

Definition at line 376 of file path_finding.h.

Referenced by auto_settler_setup_work(), calculate_city_clusters(), dai_choose_diplomat_offensive(), dai_fill_unit_param(), dai_find_strategic_airbase(), dai_hunter_manage(), dai_hunter_try_launch(), dai_manage_barbarian_leader(), dai_manage_diplomat(), dai_unit_can_strike_my_unit(), dai_wonder_city_distance(), explorer_goto(), find_best_city_placement(), find_nearest_airbase(), find_nearest_safe_city(), find_rampage_target(), find_something_to_bomb(), find_something_to_kill(), goto_fill_parameter_base(), immediate_destination(), is_possible_base_fuel(), look_for_charge(), manage_auto_explorer(), pf_danger_node_init(), pf_fuel_node_init(), pf_normal_node_init(), pf_pos_hash_val(), pf_reverse_map_new(), pft_enable_default_actions(), pft_fill_unit_default_parameter(), pft_fill_utype_default_parameter(), player_restore_units(), process_attacker_want(), settler_evaluate_city_requests(), and settler_evaluate_improvements().

## ◆ owner

const struct player* pf_parameter::owner

Definition at line 374 of file path_finding.h.

Referenced by autosettler_tile_behavior(), explorer_tb(), get_closest_safe_tile_distance(), get_connect_irrig(), get_connect_road(), get_TB_aggr(), get_TB_caravan(), is_possible_base_fuel(), no_fights(), no_fights_or_unknown(), no_intermediate_fights(), normal_move(), overlap_move(), pf_attack_possible(), pf_danger_node_init(), pf_fuel_node_init(), pf_get_action(), pf_get_move_scope(), pf_normal_node_init(), pf_reverse_map_new(), pf_reverse_map_utype_pos(), pf_transport_check(), pft_fill_unit_default_parameter(), pft_fill_utype_default_parameter(), and stack_risk().

## ◆ start_tile

struct tile* pf_parameter::start_tile

Definition at line 359 of file path_finding.h.

Referenced by add_part(), caravan_search_from(), dai_manage_diplomat(), fill_parameter_part(), goto_fill_parameter_base(), pf_danger_map_construct_path(), pf_danger_map_iterate(), pf_danger_map_new(), pf_danger_node_init(), pf_fuel_finalize_position_base(), pf_fuel_map_construct_path(), pf_fuel_map_iterate(), pf_fuel_map_new(), pf_fuel_node_init(), pf_map_path(), pf_normal_map_construct_path(), pf_normal_map_new(), pf_normal_node_init(), pf_pos_hash_val(), pf_position_fill_start_tile(), pf_reverse_map_unit_pos(), pf_reverse_map_utype_pos(), pft_fill_unit_default_parameter(), pft_fill_utype_default_parameter(), and process_attacker_want().

## ◆ transported_by_initially

const struct unit_type* pf_parameter::transported_by_initially

Definition at line 364 of file path_finding.h.

Referenced by fill_parameter_part(), pf_danger_map_iterate(), pf_danger_node_init(), pf_fuel_map_iterate(), pf_fuel_node_init(), pf_normal_map_new(), pf_normal_node_init(), pft_fill_unit_default_parameter(), and pft_fill_utype_default_parameter().

## ◆ utype

const struct unit_type* pf_parameter::utype

Definition at line 373 of file path_finding.h.

Referenced by chance_killed_at(), explorer_tb(), fill_parameter_part(), is_possible_base_fuel(), normal_move(), overlap_move(), pf_action_possible(), pf_attack_possible(), pf_danger_map_iterate(), pf_danger_node_init(), pf_fuel_map_attack_is_possible(), pf_fuel_map_iterate(), pf_fuel_node_init(), pf_get_action(), pf_get_move_scope(), pf_move_possible(), pf_normal_map_iterate(), pf_normal_map_new(), pf_normal_node_init(), pf_pos_hash_val(), pf_reverse_map_unit_pos(), pf_reverse_map_utype_pos(), pf_transport_check(), pft_enable_default_actions(), and pft_fill_default_parameter().